com.verisign.epp.serverstub

## Class LoginSecGenHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPGenHandler
  - - com.verisign.epp.serverstub.GenHandler
    - - com.verisign.epp.serverstub.LoginSecGenHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class LoginSecGenHandler
      extends GenHandler

  The `LoginSecGenHandler` class is an extension of the `GenHandler` to override the login command based on one of the supported login security extension versions. It handles accepting commands in a server that supports more than one version of the login security extension. The version specific `LoginSecSubGenHandler` is called based on the login security extension version passed.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginSecGenHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doLogin(EPPEvent aEvent, java.lang.Object aData)` Handle a login command by routing commands with the login security extension to the appropriate version of handler; otherwise send to the base handler.

    - ### Methods inherited from class com.verisign.epp.serverstub.GenHandler

      `doHello, doLogout, doPoll`

    - ### Methods inherited from class com.verisign.epp.framework.EPPGenHandler

      `getNamespace, handleEvent, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginSecGenHandler

          public LoginSecGenHandler()

  - ### Method Detail

    - #### doLogin

          protected EPPEventResponse doLogin(EPPEvent aEvent,
                                             java.lang.Object aData)

      Handle a login command by routing commands with the login security extension to the appropriate version of handler; otherwise send to the base handler.
      Overrides:
        `doLogin` in class `GenHandler`
      Parameters:
        `aEvent` - Event must contain an `EPPLoginCmd` for handling
        `aData` - Extra server data, which is `SessionData` for the Stub Server.
      Returns:
        Response to handling the login command